> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneinbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhook Deliveries



## OpenAPI

````yaml /openapi/openapi.yaml get /v1/webhooks/{webhook_id}/deliveries
openapi: 3.1.0
info:
  title: OneInbox API
  version: 1.0.0
servers:
  - url: https://api-tokyo.oneinbox.ai
    description: Production (Tokyo ap-northeast-1)
security: []
tags:
  - name: health
  - name: integrations
  - name: llm-models
  - name: tools
  - name: knowledge-bases
  - name: voices
  - name: webhooks
  - name: agents
  - name: phone-numbers
  - name: calls
  - name: workspace
  - name: usage
  - name: audit-events
paths:
  /v1/webhooks/{webhook_id}/deliveries:
    get:
      tags:
        - webhooks
      summary: List Webhook Deliveries
      operationId: list_webhook_deliveries_v1_webhooks__webhook_id__deliveries_get
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Webhook Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_WebhookDeliveryResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - API Key: []
components:
  schemas:
    PaginatedResponse_WebhookDeliveryResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/WebhookDeliveryResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - items
        - total
        - limit
        - offset
      title: PaginatedResponse[WebhookDeliveryResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebhookDeliveryResponse:
      properties:
        id:
          type: string
          title: Id
        webhook_id:
          type: string
          title: Webhook Id
        event:
          type: string
          title: Event
        status:
          type: string
          title: Status
        attempt:
          type: integer
          title: Attempt
        response_status:
          anyOf:
            - type: integer
            - type: 'null'
          title: Response Status
        response_body:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Body
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        next_retry_at:
          type: string
          format: date-time
          title: Next Retry At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - webhook_id
        - event
        - status
        - attempt
        - response_status
        - response_body
        - error
        - next_retry_at
        - completed_at
        - created_at
      title: WebhookDeliveryResponse
      description: |-
        One row of the delivery attempt log.

        `status` walks pending -> delivering -> {delivered | failed | retrying}.
        `attempt` starts at 0 and increments per retry. `next_retry_at` is the
        scheduled time for the next attempt (== now() for currently-retrying
        rows). On terminal states `completed_at` is set.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      type: http
      description: >-
        Your **API key** sent as a Bearer credential — `Authorization: Bearer
        <api_key>`, where `<api_key>` starts with `oi_sk_` (create one via `POST
        /v1/api-keys`). Although the field is labelled 'token', paste your API
        key here. A dashboard JWT is also accepted on this header for the same
        endpoints.
      scheme: bearer

````